UNIHEX2PNG(1)

NAME
unihex2png - GNU Unifont .hex file to Portable Network Graphics converter

SYNOPSIS
unihex2png [-i input_file.hex] -o output_file.png [-p pagenum] [-r rows]

DESCRIPTION
unihex2png reads a page of 256 Unicode code points from a GNU Unifont .hex file and converts the page into a Portable Network Graphics (PNG) file. The graphics file displays the glyphs of a Unicode block of 256 code points in a 32 by 32 pixel grid, or in a 40 by 40 pixel grid if "-r 32" is specified. The glyphs themselves can be either 16, 24, or 32 pixels tall depending on the "-r" parameter. They can be 8, 16, 24, or 32 pixels wide (widths of 32 are only supported if "-r 32" is specified). The default page is 0; that is, the range U+0000 through U+00FF, inclusive.

The PNG file can be printed. It can also be edited with a graphics editor. An edited PNG file can then be re-converted into a GNU Unifont .hex file with the unipng2hex command.

OPTIONS

-i  Specify the input file. If not omitted, a Unifont .hex file is read from STDIN.

-o  Specify the output file.

-p  Extract page pagenum from the .hex file. The default is Page 0 (Unicode range U+0000 through U+00FF). Note that "page" is not a standard Unicode term. It refers to an output bitmap graphics page of 16 by 16 code points.

-r  Specify the rows of pixels in the output glyphs. Valid values are 16, 24, and 32. The default is 16 pixel rows tall.

-h  Print a help message of options and exit.

EXAMPLE
Sample usage:

    unihex2png -i my_input_file.hex -o my_output_file.png

FILES
*.hex GNU Unifont font files

SEE ALSO
bdfimplode(1), hex2bdf(1), hex2otf(1), hex2sfd(1), hexbraille(1), hexdraw(1), hexkinya(1), hexmerge(1), johab2ucs2(1), unibdf2hex(1), unibmp2hex(1), unibmpbump(1), unicoverage(1), unidup(1), unifont(5), unifont-viewer(1), unifont1per(1), unifontchojung(1), unifontksx(1), unifontpic(1), unigencircles(1), unigenwidth(1), unihex2bmp(1), unihexfill(1), unihexgen(1), unihexrotate(1), unipagecount(1), unipng2hex(1)

AUTHOR
unihex2png was written by Andrew Miller, starting by converting Paul Hardy's unihex2bmp C program to Perl.

LICENSE
unihex2png is Copyright © 2007 Paul Hardy, © 2013 Andrew Miller.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

BUGS
No known real bugs exist, but the optional pixel rows parameter is not yet supported by all other Unifont utilities. Use of glyphs taller than the default of 16 pixels is considered experimental. Currently unihex2png, unipng2hex, hexdraw, and hex2bdf tentatively support glyphs that are 16, 24, and 32 pixels tall.

Also, there is no extensive error checking on input files. If they're not in the format of the original GNU Unifont .hex file, all bets are off. Lines can be terminated either with line feed, or carriage return plus line feed.